/* ************************************************************************* */
/* FileName:             uart.c                                              */
/* ************************************************************************* */

#include <avr/io.h>
#include <util/delay.h>
#include "uart.h"

void uart_init( void ) {
   UBRR0 = 103;

   UCSR0C = (1<<UCSZ01)|(1<<UCSZ00);

   UCSR0B = (1 << RXEN0) | (1 << TXEN0);
}   

void uart_putc( char c ) {
	while ( !( UCSR0A & (1<<UDRE0)) ) {
	};
	UDR0 = c;  
}

char uart_getc( void ) {
	while ((UCSR0A & (1 << RXC0)) == 0) {
	
	}; 
      return UDR0;
}
